version: '3'

services:  
  nextcloud:
    image: nextcloud
    container_name: mistborn_production_nextcloud
    env_file:
      - ../../../mistborn/.envs/.production/.postgres
      - ../../.envs/.production/.nextcloud
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.nextcloud-http.rule=Host(`nextcloud.mistborn`)"
      - "traefik.http.routers.nextcloud-http.entrypoints=web"
      - "traefik.http.routers.nextcloud-http.middlewares=mistborn_auth@file"
      - "traefik.http.routers.nextcloud-https.rule=Host(`nextcloud.mistborn`)"
      - "traefik.http.routers.nextcloud-https.entrypoints=websecure"
      - "traefik.http.routers.nextcloud-https.middlewares=mistborn_auth@file"
      - "traefik.http.routers.nextcloud-https.tls.certresolver=basic"
      - "traefik.http.services.nextcloud-service.loadbalancer.server.port=80"
    volumes:
      - ../../../mistborn_volumes/extra/nextcloud:/var/www/html
    environment:
      - VIRTUAL_HOST=nextcloud.mistborn
    restart: unless-stopped

networks:
  default:
    external:
      name: mistborn_default
